## libpog 0.5.3

=== docs/requirements.txt ===
Sphinx==2.1.2
sphinx_rtd_theme==0.4.3
