=== examples/CMakeLists.txt ===
add_subdirectory(calculator)
add_subdirectory(ini)
