=== examples/calculator/CMakeLists.txt ===
add_executable(example-calculator calculator.cpp)
target_link_libraries(example-calculator pog)
