=== examples/ini/CMakeLists.txt ===
add_executable(example-ini ini.cpp)
target_link_libraries(example-ini pog)
