=== debian/changelog ===
libpog (0.5.3-3) unstable; urgency=medium

  * Ignore bitness check in CMake config file

 -- Yangfl <mmyangfl@gmail.com>  Mon, 20 Jul 2020 08:43:36 +0800

libpog (0.5.3-2) unstable; urgency=medium

  * Bump debhelper compat to 13

 -- Yangfl <mmyangfl@gmail.com>  Thu, 25 Jun 2020 12:33:05 +0800

libpog (0.5.3-1) unstable; urgency=medium

  * Initial release

 -- Yangfl <mmyangfl@gmail.com>  Wed, 15 Apr 2020 15:07:50 +0800
