=== debian/control ===
Source: libpog
Section: libs
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkg-config,
 libre2-dev,
 libfmt-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/metthal/pog
Vcs-Git: https://salsa.debian.org/yangfl-guest/pog.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/pog

Package: libpog-dev
Section: libdevel
Architecture: all
Depends:
 libre2-dev,
 libfmt-dev,
 ${misc:Depends},
Description: C++ library for generating LALR(1) parsers
 Pog is C++17 library for generating LALR(1) parsers. This library is
 header-only itself but requires RE2 library which does not come with
 header-only version. It splits definitions of parser into:
  * Declaration of tokens (regular expressions describing how the input should
    be tokenized)
  * Grammar rules over tokens from tokenization phase
