=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libpog-$1.tar.gz%" \
   https://github.com/metthal/pog/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
